org.modeshape.jcr

## Class BackupService.RestoreActivity

- java.lang.Object
- - org.modeshape.jcr.BackupService.Activity
  - - org.modeshape.jcr.BackupService.RestoreActivity

- Enclosing class:
    BackupService

      @NotThreadSafe
      public static final class BackupService.RestoreActivity
      extends BackupService.Activity

  The `BackupService.Activity` subclass that performs content restore operations.

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.BackupService.Activity

      `backupDirectory, binaryDirectory, binaryStore, changeDirectory, documentStore, problems, repositoryCache`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BackupService.RestoreActivity(File backupDirectory, LocalDocumentStore documentStore, BinaryStore binaryStore, RepositoryCache repositoryCache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BinaryKey` | `binaryKeyFor(File binaryFile)`
    `Problems` | `execute()` Execute the activity, using the repository state as it currently exists.
    `void` | `removeExistingBinaryFiles()`
    `void` | `removeExistingDocuments()`
    `void` | `restoreBinaryFile(File binaryFile)`
    `void` | `restoreBinaryFiles()`
    `protected void` | `restoreDocuments(File directory)`

    - ### Methods inherited from class org.modeshape.jcr.BackupService.Activity

      `backupLocation, repositoryName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackupService.RestoreActivity

          protected BackupService.RestoreActivity(File backupDirectory,
                                       LocalDocumentStore documentStore,
                                       BinaryStore binaryStore,
                                       RepositoryCache repositoryCache)

  - ### Method Detail

    - #### execute

          public Problems execute()

      Description copied from class: `BackupService.Activity`
      Execute the activity, using the repository state as it currently exists.
      Specified by:
        `execute` in class `BackupService.Activity`
      Returns:
        the problems describing any issues or exceptions that occur during the activity's execution; never null

    - #### removeExistingBinaryFiles

          public void removeExistingBinaryFiles()

    - #### removeExistingDocuments

          public void removeExistingDocuments()

    - #### restoreBinaryFiles

          public void restoreBinaryFiles()

    - #### restoreBinaryFile

          public void restoreBinaryFile(File binaryFile)

    - #### binaryKeyFor

          protected BinaryKey binaryKeyFor(File binaryFile)

    - #### restoreDocuments

          protected void restoreDocuments(File directory)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.